package com.brilliance.isc.vo.lg;

import com.brilliance.isc.bo.Spt;
import com.brilliance.isc.common.transaction.vo.BaseTransactionVo;
import com.brilliance.isc.common.trnmod.vo.SwiaddVo;
import com.brilliance.isc.vo.model.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class GitcanStoreVo extends BaseTransactionVo {

    private Gidgrp gidgrp;
    private Gidgrp oldgidgrp;
    //与前端模型保持一致
    private SwiaddVo swiadd;
    private String clsflg;
    private String newref;

    @Override
    public void reset() {
        super.reset();
        if (gidgrp == null) {
            gidgrp = new Gidgrp();
        }
        if (oldgidgrp == null) {
            oldgidgrp = new Gidgrp();
        }
        if (swiadd == null) {
            swiadd = new SwiaddVo();
        }
        swiadd.reset();
    }
}
